patch

Archive a driver

Archives the driver by removing all PII related to the driver.
WARNING! This action is potentially dangerous and irreversible!

driverIdstring

required

The ID of the driver to be archived

Responses

Response examples

OK

{
  "data": {
    "id": "string",
    "network": "string",
    "name": {
      "first": "string",
      "last": "string"
    },
    "contactDetails": {
      "phone": "string",
      "email": "string"
    },
    "physicalAddress": {
      "streetNumber": "string",
      "streetName": "string",
      "streetDetails": "string",
      "city": "string",
      "state": "AL",
      "postalCode": "string",
      "countryCode": "US"
    },
    "createdAt": "2023-06-07T17:32:28Z",
    "updatedAt": "2023-06-07T17:32:28Z"
  }
}
post

Attach a site partner to a driver

Creates a relationship between a driver and a site partner. Either tokenId or driverId must be provided, but not both.

sitePartnerIdstring

required

tokenIdstring
driverIdstring

Responses

Request examples

{
  "sitePartnerId": "string",
  "tokenId": "string",
  "driverId": "string"
}

Response examples

The driver has been attached to the site partner.

{
  "data": {
    "driverId": "string",
    "sitePartnerId": "string",
    "networkId": "string",
    "status": "ATTACHED",
    "createdAt": "2023-06-07T17:32:28Z",
    "updatedAt": "2023-06-07T17:32:28Z"
  }
}
get

List all drivers

This endpoint retrieves a list of all drivers available to the authenticated user.

limitstring

The maximum number of drivers to return (default 20, maximum 100)

Pattern
^[0-9][0-9]?$|^100$
startingAfterstring

The ID of the last driver in the previous page of results. Results will start after this driver

emailstring

The email of the driver to search for

Format
email

Responses

Response examples

A list of drivers

{
  "data": {
    "hasMore": true,
    "items": [
      {
        "id": "string",
        "network": "string",
        "name": {
          "first": "string",
          "last": "string"
        },
        "contactDetails": {
          "phone": "string",
          "email": "string"
        },
        "physicalAddress": {
          "streetNumber": "string",
          "streetName": "string",
          "streetDetails": "string",
          "city": "string",
          "state": "AL",
          "postalCode": "string",
          "countryCode": "US"
        },
        "createdAt": "2023-06-07T17:32:28Z",
        "updatedAt": "2023-06-07T17:32:28Z"
      }
    ]
  }
}
post

Create a new driver

This endpoint creates a new driver
This action is not enabled by default. You must request additional permissions to perform this action.

nameobject

The name of the driver

firststring
laststring
physicalAddressobject (PhysicalAddress)

Physical address details

streetNumberstring

required

Min Length
1
Max Length
100
streetNamestring

required

Min Length
1
Max Length
100
streetDetailsstring
Min Length
1
Max Length
100
citystring

required

Min Length
1
Max Length
100
statestring

required

Enum
  • AL
  • AK
  • AZ
  • AR
  • CA
  • CO
  • CT
  • DE
  • FL
  • GA
  • HI
  • ID
  • IL
  • IN
  • IA
  • KS
  • KY
  • LA
  • ME
  • MD
  • MA
  • MI
  • MN
  • MS
  • MO
  • MT
  • NE
  • NV
  • NH
  • NJ
  • NM
  • NY
  • NC
  • ND
  • OH
  • OK
  • OR
  • PA
  • RI
  • SC
  • SD
  • TN
  • TX
  • UT
  • VT
  • VA
  • WA
  • WV
  • WI
  • WY
  • DC
  • AS
  • GU
  • MP
  • PR
  • UM
  • VI
postalCodestring

required

Min Length
1
Max Length
10
countryCodestring

required

Enum
  • US
  • CA
contactDetailsobject

required

At least one of "email" or "phone" is required.

emailstring
phonestring
networkstring

The network associated with the driver

Responses

Request examples

{
  "name": {
    "first": "string",
    "last": "string"
  },
  "physicalAddress": {
    "streetNumber": "string",
    "streetName": "string",
    "streetDetails": "string",
    "city": "string",
    "state": "AL",
    "postalCode": "string",
    "countryCode": "US"
  },
  "contactDetails": {
    "email": "string",
    "phone": "string"
  },
  "network": "string"
}

Response examples

A new driver has been created.

{
  "data": {
    "id": "string",
    "network": "string",
    "name": {
      "first": "string",
      "last": "string"
    },
    "contactDetails": {
      "phone": "string",
      "email": "string"
    },
    "physicalAddress": {
      "streetNumber": "string",
      "streetName": "string",
      "streetDetails": "string",
      "city": "string",
      "state": "AL",
      "postalCode": "string",
      "countryCode": "US"
    },
    "createdAt": "2023-06-07T17:32:28Z",
    "updatedAt": "2023-06-07T17:32:28Z"
  }
}
post

Create a driver short code

Generates a 6-character uppercase alphanumeric short code for a driver. The short code can be used to verify the driver's identity.

driverIdstring

required

The ID of the driver to create a short code for

Responses

Request examples

{
  "driverId": "string"
}

Response examples

A new driver short code has been created.

{
  "data": {
    "id": "string",
    "code": "string",
    "driverId": "string",
    "network": "string",
    "createdAt": "2023-06-07T17:32:28Z",
    "updatedAt": "2023-06-07T17:32:28Z"
  }
}
post

Detach a driver from a site partner

Removes the relationship between a driver (identified by token) and a site partner.

sitePartnerIdstring

required

tokenIdstring

required

Responses

Request examples

{
  "sitePartnerId": "string",
  "tokenId": "string"
}

Response examples

The driver has been detached from the site partner.

{
  "data": {
    "driverId": "string",
    "sitePartnerId": "string",
    "networkId": "string",
    "status": "ATTACHED",
    "createdAt": "2023-06-07T17:32:28Z",
    "updatedAt": "2023-06-07T17:32:28Z"
  }
}
get

List Driver-Site Partner Relationships

Retrieve a list of driver-site partner relationships based on specified criteria.

limitstring

The maximum number of driver-site partner to return (default 20, maximum 100).

Pattern
^[0-9][0-9]?$|^100$
startingAfterDriverstring

The ID of the last driver in the previous page of results. Results will start after this driver.

startingAfterSitePartnerstring

The ID of the last site partner in the previous page of results. Results will start after this site partner.

statusstring

Filter results by status ('ATTACHED' or 'DETACHED').

Enum
  • ATTACHED
  • DETACHED
sitePartnerIdstring

Filter results by Site Partner ID.

driverIdstring

Filter results by Driver ID.

Responses

Response examples

A list of driver-sitepartner relationships

{
  "data": {
    "hasMore": true,
    "items": [
      {
        "driverId": "string",
        "sitePartnerId": "string",
        "networkId": "string",
        "status": "ATTACHED",
        "createdAt": "2023-06-07T17:32:28Z",
        "updatedAt": "2023-06-07T17:32:28Z"
      }
    ]
  }
}
patch

Update a driver

This endpoint updates an existing driver by its ID.
This action is not enabled by default. You must request additional permissions to perform this action.

nameobject

The name of the driver

firststring
laststring
physicalAddressobject (PhysicalAddress)

Physical address details

streetNumberstring

required

Min Length
1
Max Length
100
streetNamestring

required

Min Length
1
Max Length
100
streetDetailsstring
Min Length
1
Max Length
100
citystring

required

Min Length
1
Max Length
100
statestring

required

Enum
  • AL
  • AK
  • AZ
  • AR
  • CA
  • CO
  • CT
  • DE
  • FL
  • GA
  • HI
  • ID
  • IL
  • IN
  • IA
  • KS
  • KY
  • LA
  • ME
  • MD
  • MA
  • MI
  • MN
  • MS
  • MO
  • MT
  • NE
  • NV
  • NH
  • NJ
  • NM
  • NY
  • NC
  • ND
  • OH
  • OK
  • OR
  • PA
  • RI
  • SC
  • SD
  • TN
  • TX
  • UT
  • VT
  • VA
  • WA
  • WV
  • WI
  • WY
  • DC
  • AS
  • GU
  • MP
  • PR
  • UM
  • VI
postalCodestring

required

Min Length
1
Max Length
10
countryCodestring

required

Enum
  • US
  • CA
contactDetailsobject

At least one of "email" or "phone" is required.

emailstring
phonestring

Responses

Request examples

{
  "name": {
    "first": "string",
    "last": "string"
  },
  "physicalAddress": {
    "streetNumber": "string",
    "streetName": "string",
    "streetDetails": "string",
    "city": "string",
    "state": "AL",
    "postalCode": "string",
    "countryCode": "US"
  },
  "contactDetails": {
    "email": "string",
    "phone": "string"
  }
}

Response examples

The updated driver object.

{
  "data": {
    "name": {
      "first": "string",
      "last": "string"
    },
    "physicalAddress": {
      "streetNumber": "string",
      "streetName": "string",
      "streetDetails": "string",
      "city": "string",
      "state": "AL",
      "postalCode": "string",
      "countryCode": "US"
    },
    "contactDetails": {
      "email": "string",
      "phone": "string"
    }
  }
}
post

Verify a driver short code

Verifies the provided 6-character uppercase alphanumeric short code and returns the associated driver short code record.

codestring

required

A 6-character uppercase alphanumeric short code to verify

Pattern
^[A-Z0-9]{6}$

Responses

Request examples

{
  "code": "string"
}

Response examples

The short code has been verified.

{
  "data": {
    "id": "string",
    "code": "string",
    "driverId": "string",
    "network": "string",
    "createdAt": "2023-06-07T17:32:28Z",
    "updatedAt": "2023-06-07T17:32:28Z"
  }
}

Was this page helpful?